# SPDX-FileCopyrightText: 2017-2021 Jens Lechtenbörger
# SPDX-License-Identifier: CC0-1.0

image: registry.gitlab.com/oer/emacs-reveal/emacs-reveal:8.18.0

pages:
  stage: deploy
  before_script:
  - git submodule sync --recursive
  - git submodule update --init --recursive
  script:
  - emacs --batch --load elisp/publish.el
  - cp public/howto.html public/index.html
  - find public -type f -regex '.*\.\(html\|js\|css\)$' -exec gzip -f -k {} \;
  artifacts:
    paths:
    - public
    expire_in: 4 weeks
  only:
  - master
